%define name bumprace
%define rname bumprace
%define version 1.43
%define release 1mdk

Summary: Drive the ship to exit
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://www.linux-games.com/bumprace/bumprace-%{version}.tar.bz2
License: GPL
Group: Games/Arcade
Url: http://www.linux-games.com/bumprace/index.html
BuildRequires:	SDL_mixer-devel
BuildRequires:	XFree86-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gcc
BuildRequires:	alsa-lib-devel
BuildRequires:	esound-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	texinfo
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}

%description
BumpRace is a simple arcade game. You've to get from the start to the finish
line without crashing into deadly blocks. This game is really easy to learn!

%prep
%setup -q -n %{rname}-%{version}

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
cd $RPM_BUILD_ROOT/usr/share ; [ %{rname} != %{name} ] && mv %{rname} %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS FAQ NEWS README
%{_bindir}/*
%{_datadir}/%{name}

%changelog
* Sat Feb  2 2002 Pixel <pixel@mandrakesoft.com> 1.43-1mdk
- new release

* Sat Jan 19 2002 Stefan van der Eijk <stefan@eijk.nu> 1.42-6mdk
- BuildRequires

* Thu Oct 11 2001 Pixel <pixel@mandrakesoft.com> 1.42-5mdk
- rebuilding for libpng3

* Fri Sep 28 2001 Stefan van der Eijk <stefan@eijk.nu> 1.42-4mdk
- BuildRequires: libjpeg-devel libpng-devel libSDL-devel

* Thu Sep  6 2001 Pixel <pixel@mandrakesoft.com> 1.42-3mdk
- rebuild

* Mon May 14 2001 Pixel <pixel@mandrakesoft.com> 1.42-2mdk
- rebuild with new SDL

* Fri Mar 30 2001 Pixel <pixel@mandrakesoft.com> 1.42-1mdk
- new version

* Thu Dec 21 2000 Pixel <pixel@mandrakesoft.com> 1.4-4mdk
- capitalize summary

* Tue Dec 19 2000 Pixel <pixel@mandrakesoft.com> 1.4-3mdk
- rebuild for new lib mixer

* Wed Nov 29 2000 Pixel <pixel@mandrakesoft.com> 1.4-2mdk
- rebuild, build req

* Sun Oct 22 2000 Pixel <pixel@mandrakesoft.com> 1.4-1mdk
- initial spec



# end of file
